from cpl_query.extension import List

from py_to_uxf_core.model.python_class_attribute import PythonClassAttribute
from py_to_uxf_core.model.python_function import PythonFunction


class PythonClass:

    def __init__(self, name):
        self._name = name
        self._functions = List(PythonFunction)
        self._attributes = List(PythonClassAttribute)

    @property
    def name(self) -> str:
        return self._name

    @property
    def functions(self) -> List[PythonFunction]:
        return self._functions

    @property
    def attributes(self) -> List[PythonClassAttribute]:
        return self._attributes

    def add_function(self, func: PythonFunction):
        self._functions.append(func)

    def add_attribute(self, attribute: PythonClassAttribute):
        self._attributes.append(attribute)
