from py_to_uxf_core.model.access_modifier_enum import AccessModifierEnum


class PythonClassAttribute:

    def __init__(self, access_modifier: AccessModifierEnum, name: str, type: str):
        self._access_modifier = access_modifier
        self._name = name
        self._type = type

    @property
    def access_modifier(self) -> AccessModifierEnum:
        return self._access_modifier

    @property
    def name(self) -> str:
        return self._name

    @property
    def type(self) -> str:
        return self._type

    def __str__(self):
        return f'{self._name}: {self._type}'

    def __repr__(self):
        return f'{self._name}: {self._type}'
